# Yahoo! UI Library

### charts 3.3.0

Yahoo! UI Library > charts > CurveUtil
Search:
Filters Show Private Show Protected Show Deprecated

## Class CurveUtil

Utility class used for calculating curve points.

### Constructor

CurveUtil `( )`

### Methods

#### getControlPoints

`private void getControlPoints ( )`

#### getCurveControlPoints

`protected Object getCurveControlPoints ( xcoords , ycoords )`
Creates an array of start, end and control points for splines.

Parameters:
  `xcoords <Array>` Collection of x-coordinates used for calculate the curves
  `ycoords <Array>` Collection of y-coordinates used for calculate the curves

Copyright © 2011 Yahoo! Inc. All rights reserved.